%define	major 1.13
%define	libname %mklibname %{name} %{major}
%define mxlibname %mklibname %{name}mx %{major}
%define develname %mklibname %{name} -d

Summary:	The OpenGL Extension Wrangler Library
Name:		glew
Version:	1.13.0
Release:	%mkrel 2
Group:		Development/C
License:	BSD and MIT
URL:		http://glew.sourceforge.net
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
Patch0:		glew-1.13.0-pic.patch

BuildRequires:	libmx-devel
BuildRequires:	file
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xmu)

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.


%package -n	%{libname}
Summary:	GLEW library
Group:		System/Libraries

%description -n	%{libname}
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.

%package -n %{mxlibname}
Summary:	GLEW MX library
Group:		System/Libraries

%description -n %{mxlibname}
OpenGL Extension Wrangler Library MX.

%package -n %{develname}
Summary:	Development files for using the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{mxlibname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1.3 -d
Provides:	%mklibname %{name} 1.3 -d

%description -n	%{develname}
Development files for using the %{name} library.


%prep
%setup -q
%autopatch -p1


%build
%make CFLAGS.EXTRA="%{optflags}" LDFLAGS.EXTRA="%{ldflags}" \
      libdir=%{_libdir} bindir=%{_bindir} includedir=%{_includedir}

%install
make install.all DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.a
chmod 0755 %{buildroot}%{_libdir}/*.so*

%files
%doc README.txt doc/*
%{_bindir}/glewinfo
%{_bindir}/visualinfo

%files -n %{libname}
%{_libdir}/libGLEW.so.%{major}
%{_libdir}/libGLEW.so.%{major}.*

%files -n %{mxlibname}
%{_libdir}/libGLEWmx.so.%{major}
%{_libdir}/libGLEWmx.so.%{major}.*


%files -n %{develname}
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.so
%{_libdir}/libGLEWmx.so
%{_libdir}/pkgconfig/glew.pc
%{_libdir}/pkgconfig/glewmx.pc


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 1.13.0-2.mga6
+ Revision: 960297
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 cjw <cjw> 1.13.0-1.mga6
+ Revision: 868120
- patch0: fix shared library build without -fPIC in CFLAGS.EXTRA
- make sure libglewmx is built and put it in a separate subpackage

  + akien <akien>
    - Version 1.13.0
    - Rebuild for gcc 5.2.1

* Mon Jun 22 2015 akien <akien> 1.12.0-1.mga6
+ Revision: 839855
- Version 1.12.0

* Wed Oct 15 2014 umeabot <umeabot> 1.11.0-3.mga5
+ Revision: 740415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.0-2.mga5
+ Revision: 679639
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 1.11.0-1.mga5
+ Revision: 670112
- 1.11.0
- library major is now 1.11

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 530441
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1.10.0-1.mga4
+ Revision: 457672
- New version: 1.10.0

* Sat Jan 12 2013 umeabot <umeabot> 1.9.0-2.mga3
+ Revision: 351803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 fedya <fedya> 1.9.0-1.mga3
+ Revision: 281587
- fix rpmlint warning
- version update 1.9.0

* Tue Jul 24 2012 blino <blino> 1.8.0-1.mga3
+ Revision: 274067
- 1.8.0

* Wed Jun 27 2012 kamil <kamil> 1.7.0-2.mga3
+ Revision: 264185
- update license
- build and install glewmx files

* Mon Oct 03 2011 fwang <fwang> 1.7.0-1.mga2
+ Revision: 151149
- update major
- new version 1.7.0

  + tv <tv>
    - fix file list
    - fix file list
    - new release

* Mon May 16 2011 rtp <rtp> 1.5.8-2.mga1
+ Revision: 99223
- Add missing build requires

* Wed Apr 13 2011 tv <tv> 1.5.8-1.mga1
+ Revision: 84623
- new release

* Mon Jan 10 2011 pterjan <pterjan> 1.5.7-1.mga1
+ Revision: 5353
- Drop obsolete scriptlets
- imported package glew


* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 1.5.7-1mdv2011.0
+ Revision: 624811
- new version 1.5.7

* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 1.5.5-2mdv2011.0
+ Revision: 623749
- tighten BR

  + Matthew Dawkins <mattydaw@mandriva.org>
    - properly commented out the patch macro for rpm5 compat

* Sun Jul 25 2010 John Balcaen <mikala@mandriva.org> 1.5.5-1mdv2011.0
+ Revision: 558537
- Update to 1.5.5

* Sun Jan 17 2010 Emmanuel Andry <eandry@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 492754
- New version 1.5.2
- drop p0, fixed upstream

* Thu Dec 31 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.1-3mdv2010.1
+ Revision: 484592
- fix files/doc permissions

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdv2010.0
+ Revision: 378528
- rebuild

* Fri Nov 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdv2009.1
+ Revision: 303173
- 1.5.1
- rediffed P0

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0-2mdv2009.0
+ Revision: 264551
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-1mdv2009.0
+ Revision: 196683
- Remove 1.4.0 source files.
 Correct bug #35848 (Can not compile enblend due to error in mesa).

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 1.5.0-1mdv2008.1
+ Revision: 161240
- new release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 106436
- provide patch 0, a various makefile fixes
- spec file clean
- new version
- new devel library policy
- Import glew

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild



* Tue Sep 12 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.3.4-3mdv2007.0
- added -fPIC to CFLAGS.extra.
- disabled parallel building.

* Fri Jul 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.4-2mdv2007.0
- rebuild
- do parallell build

* Thu May 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.3.4-1mdk
- 1.3.4

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-4mdk
- fix buildrequires (fixes #17848)
- fix library-not-linked-against-libc

* Wed Aug 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-3mdk
- don't own %%{_includedir]/GL

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-2mdk
- fix requires

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.3-1mdk
- initial release based on newrpms fedora package

* Wed Sep 08 2004 Che
- initial rpm release
